From cca32e3c0c8a7d8b87a7fed1bfb9dbc3c1e75c3a Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 11 May 2022 17:49:40 +0200
Subject: [PATCH 11/14] Add to set_agent_arg_r_uid() call to
 _xmit_new_end_time()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/job_mgr.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/slurmctld/job_mgr.c b/src/slurmctld/job_mgr.c
index 702e6ae38d..e4c740c5d4 100644
--- a/src/slurmctld/job_mgr.c
+++ b/src/slurmctld/job_mgr.c
@@ -15265,6 +15265,7 @@ static void _xmit_new_end_time(job_record_t *job_ptr)
 #endif
 
 	agent_args->msg_args = job_time_msg_ptr;
+	set_agent_arg_r_uid(agent_args, SLURM_AUTH_UID_ANY);
 	agent_queue_request(agent_args);
 	return;
 }
-- 
2.35.3


